Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.encryption.pbe.config
Class WebPBEConfig

    Object
      org.jasypt.encryption.pbe.config.SimplePBEConfig
          org.jasypt.encryption.pbe.config.WebPBEConfig

All Implemented Interfaces:
  PBECleanablePasswordConfig, PBEConfig

Direct Known Subclasses:
  WebStringPBEConfig

    public class WebPBEConfig

extends SimplePBEConfig

Implementation for `PBEConfig` which can be used from the Web PBE Config infrastructure (Filter + Servlet) to set the password for an encryptor from the web at initialization time.

For an encryptor to be assigned a password from the web, it only has to be assigned a WebPBEConfig object, which must be initialized with both a unique name an a validation word. The name will identify the config object (and thus the encryptor) and the validation word will make sure that only an authorized person (for example, the application deployer) sets the passwords.

As this class extends `SimplePBEConfig`, parameter values can be also set with the usual `setX` methods.

For any of the configuration parameters, if its `setX` method is not called, a `null` value will be returned by the corresponding `getX` method.

Since:
  1.3
Author:
  Daniel Fernández

Constructor Summary
`WebPBEConfig()` Creates a new `WebPBEConfig` instance.

Method Summary
`String` | `getName()` Returns the name by which this WebPBEConfig object will be identified from the web.
`String` | `getValidationWord()` Returns the validation word which will be asked from the web to the person setting the password for the encryptor this config object belongs to.
`boolean` | `isComplete()` Returns whether this config object is complete or not (both name and validation word have been set).
`void` | `setName(String name)` Sets the name by which this WebPBEConfig object will be identified from the web.
`void` | `setValidationWord(String validation)` Sets the validation word which will be asked from the web to the person setting the password for the encryptor this config object belongs to.

Methods inherited from class org.jasypt.encryption.pbe.config.SimplePBEConfig
`cleanPassword, getAlgorithm, getKeyObtentionIterations, getPassword, getPasswordCharArray, getPoolSize, getProvider, getProviderName, getSaltGenerator, setAlgorithm, setKeyObtentionIterations, setKeyObtentionIterations, setPassword, setPasswordCharArray, setPoolSize, setPoolSize, setProvider, setProviderClassName, setProviderName, setSaltGenerator, setSaltGeneratorClassName`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebPBEConfig

    public WebPBEConfig()

  Creates a new `WebPBEConfig` instance.

Method Detail

### getName

    public String getName()

  Returns the name by which this WebPBEConfig object will be identified from the web. This name must be unique for each WebPBEConfig object.

  Returns:
    the config name.

### setName

    public void setName(String name)

  Sets the name by which this WebPBEConfig object will be identified from the web. This name must be unique for each WebPBEConfig object.

  Parameters:
    `name` - the unique name which will identify this config object.

### getValidationWord

    public String getValidationWord()

  Returns the validation word which will be asked from the web to the person setting the password for the encryptor this config object belongs to. This validation word will make sure that only an authorized person (for example, the application deployer) sets the value for the encryption password.

  Returns:
    the validation word assigned to this config object

### setValidationWord

    public void setValidationWord(String validation)

  Sets the validation word which will be asked from the web to the person setting the password for the encryptor this config object belongs to. This validation word will make sure that only an authorized person (for example, the application deployer) sets the value for the encryption password.

  Parameters:
    `validation` - the validation word to be assigned to this config object

### isComplete

    public boolean isComplete()

  Returns whether this config object is complete or not (both name and validation word have been set). Intended for internal use only.

  Returns:
    whether the config object is complete or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.